Medtronic Updates N’Vision Issues

Thursday, July 12, 2018 @ 03:07 PM gHale

Medtronic has an update, but not yet a fix for a missing encryption of sensitive data and protection mechanism failure holes in its N’Vision Clinician Programmer, according to a report with NCCIC.

As part of the normal functionality of this device, the N’Vision Clinician Programmer may store Personal Health Information (PHI) or Personal Identifying Information (PII). Successful exploitation of these vulnerabilities may allow an attacker with physical access to an 8870 N’Vision Compact Flash card to access this PHI or PII.

RELATED STORIES
Siemens Clearing DoS Holes
Universal Robots Remediates Holes
Schweitzer Fixes Multiple Holes
Rockwell Working on Stratix 5950 Fix

Additionally, an attacker with physical access to the 8870 Application Card may be able to modify the card to execute arbitrary code on the 8840 Clinician Programmer.

Billy Rios and Jonathan Butts of Whitescope LLC discovered the vulnerabilities.

The N’Vision Clinician Programmer is a small, portable device that offers a single programming platform for Medtronic Neurological implantable therapy devices, such as Medtronic neurostimulators and drug pumps. The following products suffer from the issues:
• 8840 N’Vision Clinician Programmer, all versions
• 8870 N’Vision removable Application Card, all versions

In one vulnerability, the affected product does not encrypt the following sensitive information while at rest:
• PII – Personally Identifiable Information. Some combination of personal data that enables the unique identification of an individual. PII is defined as “information that can be used to distinguish or trace an individual’s identity, either alone or when combined with other personal or identifying information that is linked or linkable to a specific individual.”
• PHI – Protected Health Information. Some combination of PII and associated health related data.

CVE-2018-8849 is the case number assigned to this vulnerability, which has a CVSS v3 base score of 4.6.

In addition, the 8840 Clinician Programmer executes the application program from the 8870 Application Card. An attacker with physical access to an 8870 Application Card and sufficient technical capability can modify the contents of this card, including the binary executables. If modified to bypass protection mechanisms, this malicious code will be run when the card is inserted into an 8840 Clinician Programmer.

CVE-2018-10631 is the case number assigned to this vulnerability, which has a CVSS v3 base score of 6.3.

The products see use mainly in the healthcare and public health sectors and on a global basis.

No known public exploits specifically target these vulnerabilities. These vulnerabilities are not exploitable remotely. However, an attacker with low skill level could leverage the vulnerabilities.

Medtronic has not developed a product update to address the vulnerabilities, but is reinforcing security reminders within this advisory to help reduce the risk associated with the vulnerabilities.

The 8870 Therapy Application card stores PHI and PII as part of its normal operating procedure and should be handled, managed and secured in a manner consistent with the applicable laws for patient data privacy.

Medtronic recommends users take additional defensive measures to minimize the risk of exploitation of these vulnerabilities. Specifically, hospitals and clinicians should:
• Maintain strict physical control of the 8870 application card.
• Use only legitimately obtained 8870 cards and not cards provided by any third party as firmware and system updates are provided directly by Medtronic using new 8870 application cards.
• 8840 Programmers and 8870 Therapy Application compact flash cards are the property of Medtronic and should be returned to Medtronic when no longer in use. If that is not an option, you should securely dispose of them.

Medtronic has released additional patient focused information.



Leave a Reply

You must be logged in to post a comment.